
# Copyright (C) 2020, 2023 Tommi Höynälänmaa

# This file is part of Theme-D-Golf.

# You can redistribute and/or modify this file under the terms of the
# GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.

# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.


exampledir = $(datadir)/doc/theme-d-intr-gtk4-examples/intr-gtk4-examples/theme-d-intr-demo
example_DATA = \
  run-demo.thp \
  demo.thi \
  demo.thb \
  button-box.thi \
  button-box.thb \
  dialog.thi \
  dialog.thb \
  list-store.thi \
  list-store.thb \
  panes.thi \
  panes.thb \
  sizegroup.thi \
  sizegroup.thb \
  tree-store.thi \
  tree-store.thb \
  support.thi \
  support.thb \
  intr-imports.scm \
  user.mk

mostlyclean-local: mostlyclean-local-check

.PHONY: mostlyclean-local-check

user.mk : user.mk.in
	sed -e 's|@extra_guild_options@|$(EXTRA_GUILD_OPTIONS)|g' $< > $@

mostlyclean-local-check:
	-rm user.mk
